# $Id: libibat.spec.in 2880 2005-07-20 11:07:05Z halr $

%define ver 0.9.0
%define RELEASE 1
%define rel %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}

Summary: Userspace InfiniBand Address Translation.
Name: libibat
Version: %ver
Release: %rel%{?dist}
License: GPL/BSD
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: http://openib.org/downloads/%{name}-%{version}.tar.gz
Url: http://openib.org/
BuildRequires: libibverbs-devel

%description
Along with the OpenIB kernel drivers, libibat provides a userspace
InfiniBand Address Translation API.

%package devel
Summary: Development files for the libibat library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} libibverbs-devel

%description devel
Development files for the libibat library.

%package utils
Summary: Utilities for the libibat library
Group: System Environment/Base
Requires: %{name} = %{version}-%{release}

%description utils
Utilities for the libibat library.

%prep
%setup -q

%build
%configure
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_includedir}/infiniband/sa.h
cd $RPM_BUILD_ROOT%{_libdir}
mv libibat.so libibat.so.%{ver}
ln -s libibat.so.%{ver} libibat.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libibat*.so.*
%doc AUTHORS COPYING ChangeLog NEWS README

%files devel
%defattr(-,root,root)
%{_libdir}/libibat.so
%{_includedir}/infiniband/*.h

%files utils
%defattr(-,root,root)
%{_bindir}/uats
%{_bindir}/uatt
